#pragma once

#include <QDateTimeEdit>
#include "IxWidget.h"
#include "IxWidgetFactory.h"

class DateTimeWidget : public QDateTimeEdit, public IxWidget
{
	Q_OBJECT
public:
	static const QString type;

public:
	DateTimeWidget(QWidget *parent);

    IXWIDGET_OBJECT_NAME

public:
    QVariant getValue() const override;

	void setValue(const QVariant &value) override;

    bool isValueNull() const  override;

    void clearInput() override;
};
